> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# View a criminal-record mug shot

> Returns the mug shot for one criminal or arrest record as authenticated image bytes.



## OpenAPI

````yaml https://app.herondata.io/swagger get /api/end_users/{end_user_heron_id}/background_check/subjects/{subject_key}/records/{record_id}/mugshot
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/end_users/{end_user_heron_id}/background_check/subjects/{subject_key}/records/{record_id}/mugshot:
    get:
      tags:
        - EndUsers
      summary: View a criminal-record mug shot
      description: >-
        Returns the mug shot for one criminal or arrest record as authenticated
        image bytes.
      parameters:
        - description: The Heron ID of the end user
          in: path
          name: end_user_heron_id
          required: true
          schema:
            type: string
        - description: The background check subject whose record should be viewed
          in: path
          name: subject_key
          required: true
          schema:
            enum:
              - owner_1
              - owner_2
              - business
            type: string
        - description: Stable reference of the criminal or arrest record
          in: path
          name: record_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            image/jpeg:
              schema:
                format: binary
                type: string
            image/png:
              schema:
                format: binary
                type: string
          description: Mug shot image
        '404':
          description: End user, record, or mug shot not found
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````